/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EstacionRioCard;

/**
 * 
 * @author RJ
 */
public class EstacionRioCardRender implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EstacionRioCard rc = (EstacionRioCard) o;

		if (!rc.getActivo()) {
			return;
		}

		Listcell lc = new Listcell(rc.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(rc.getOperadora().toString());
		lc.setParent(lstm);

		lstm.setValue(rc);
	}
}
